Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1195 (closed defect: fixed)

Opened 12 years ago

Last modified 11 years ago

cp in Makefile install target can break system

Reported by: ynvich@tut.by Assigned to:
Priority: critical Milestone: version 0.9.5
Component: madwifi: makefiles Version:
Keywords: Cc:
Patch is attached: 1 Pending:

Description

ath/Makefile contains cp in install target.

if umask is set with last 7 (like 077 or 027 or 007), the /lib is not world readable after install. This causes strange failures in unconnected programs. Eg., gdm won't start after such an install.

The remedy is obvious: just change cp with install. By the way, tools are installed correctly.

Attachments

install.patch (0.5 kB) - added by ynvich@tut.by on 03/16/07 14:47:50.
patch fixes ath/Makefile install target

Change History

03/16/07 14:47:50 changed by ynvich@tut.by

  • attachment install.patch added.

patch fixes ath/Makefile install target

06/21/07 22:07:33 changed by mtaylor

  • status changed from new to closed.
  • resolution set to fixed.

All use of cp switched to install in trunk. That should close this issue. r2496.

06/27/07 12:13:48 changed by mrenzmann

  • milestone set to version 0.9.4.

02/11/08 06:16:35 changed by mrenzmann

  • milestone changed from version 0.9.4 to version 0.9.5.